Bug 434757 - Cannot sync CalDAV calendars on iCloud
Summary: Cannot sync CalDAV calendars on iCloud
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: DAV Resource (show other bugs)
Version: unspecified
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL: https://forum.kde.org/viewtopic.php?f...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-22 10:59 UTC by Luca Dorigo
Modified: 2022-02-09 14:50 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Dorigo 2021-03-22 10:59:28 UTC
SUMMARY

Korganizer correctly finds the calendars available on iCloud (caldav.icloud.com), but does not sync with them.


STEPS TO REPRODUCE

Note: you will need to have an apple ID. Creating one should be fairly easy. You probably also need to create a calendar on www.icloud.com if you don't have one.


1. Go to https://appleid.apple.com/account/manage , and under "App-Specific Passwords" select "generate password" (the label you give is not important). Take note of the password.
2. In Korganizer, add a new calendar of type "DAV groupware resource"
3. When prompted for user and password, enter your apple ID and the password generated in (1)
4. Select "Configure the Resource Manually"
5. In the resulting dialog, under "server configuration", press "Add"
6. In the "Remote URL" field, put "caldav.icloud.com", and press the "Fetch" button
7. It should correctly find all your iCloud calendars and any calendars shared with you. 
8. Press ok, give a Display name, and close the dialog
9. Try to sync/view the resulting calendar(s)

OBSERVED RESULT

Despite showing up in the list of calendars, there are no events, and it doesn't seem to sync anything

EXPECTED RESULT

Correctly syncs with events on the icloud calendars

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Archlinux
(available in About System)
KDE Plasma Version: 5.21.3
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION

I am happy to provide further information, although I'm not so familiar yet with the KDS stack so I'm not sure how to access more detailed logs.
Comment 1 Nathan Murphree 2021-03-26 06:21:01 UTC
Confirming this bug, and providing some data from akonadiconsole showing what seems to be happening (dsid and calendar id obfuscated intentionally, by me);

[2021-03-26T06:08:10.420Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/04639E57-12B4-45C1-9F4F-AC132FA40E91.ics"
[2021-03-26T06:08:10.420Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/047d2a61b4586ea18c7397d7de9043946bfc35aa.ics"
[2021-03-26T06:08:10.420Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/07345134-D0CD-4B3D-80C2-5A6DDB3F9FDA.ics"
[2021-03-26T06:08:10.420Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/074ec2094e3448565e18934b54b6682c.ics"
[2021-03-26T06:08:10.420Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/09461172-B93F-4F2F-A138-254773FE62F9.ics"
[2021-03-26T06:08:10.420Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0997276272684cfe1446568dbebcb2017495934b.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/09ADF0D8-B3B6-4B53-A580-A7561C225D86.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0B6DBFCB-7579-4296-B656-54AA1AAAD738.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0C1EF490-5E0C-4B20-8BB5-6FA606B29190.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0C623A49-0B4B-4E3F-B891-2245056A5183.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0D121669-B1D1-403D-BFD2-AE151D2143D2.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0D37E88E-B4CD-42DE-96D4-6EC1B8A50C65.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0D9AAF10-7A1E-4718-942A-977958E8399A.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0F9C0D19-E1A6-4226-B824-9DE774594421.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0FD21E6A-DEF0-40BC-894E-FAB3780AC166.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/0c2cd51ac875adcd25b3af85ee0539f5.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/10990f4522b44d30264f820f85a468f90608d361.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/11210465-CD47-40F4-8D22-E5038243ECF4.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/11935F67-4D64-430F-834E-089C23452EB1.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/129C92ED-C2B3-437D-AFA8-3A5D12E78A21.ics"
[2021-03-26T06:08:10.421Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/140EA79C-63BB-4262-AA5A-9BCC5DF4CDBE.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/14mnkvjs1c1ae87rqsp1rlt23a%40google.com.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/15111605be3fc502f38682f906866482098ef3e4.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1711fe36ae3b80a0f6e4fa8564369be677618cde.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/17CBEC0A-A62E-4DE6-8188-7BAFB413B1C2.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/186312999dcaf377f5729bac4dc9983dd161db4d.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/186F0430-55FF-4CE2-9BFD-761A6A11A981.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/18CD5BBA-43AF-4B25-94BB-251F07A7C53A.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/18af42d6d751d58a63d4cf8551ec9934512af930.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/19D03774-1C57-4042-B7BF-20E18663CF7E.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/19fb51686782e0385eb495cfd30bfa100aba1c28.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1A992A41-A0C2-42EF-8BF8-AC04CD53EADD.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1AA89C29-913A-4D80-9261-C51FB17D9CD4.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1AC76355-2D93-4E82-BE85-185764F6997B.ics"
[2021-03-26T06:08:10.422Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1D6DB2E9-BC7F-42BD-B9FB-3F8B0C40209A.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1E28EDCB-4F34-46E7-A3CC-ACAA4C093D91.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1a030f3f5c568303aa808fa33c9651bdac44eba5.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1aa653672cf225e7521d1d8e5ae6e321d4f75afa.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1b4f39c98e321e7637dd3af8f1c9f9748db69839.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1bfb908a260b86a72ec710a7b2555a75.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/1db76238daf7d3bb3ebe90ba4b68c2b5ae53417a.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2018-03-21T055556Z-9676238%40mytimedrivercom.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/20b02868b69a82e37ca8a0870ab5241321bf361f.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/22BAAF7C-D743-4E8C-A562-753014A2D65F.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/23915564-DC92-48A6-86FA-D60A3F93CFB5.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/24CB98F7-1F09-46B9-8E7C-3A93E691538A.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/24e34721712ab553d518f105f4f6cd13.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/273EE950-041F-4A3A-B830-04497D91701C.ics"
[2021-03-26T06:08:10.423Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/27586ED5-0F71-4CD1-AB42-111AD252CD11.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/27dfc63e24961ccace864df66906b5ea960f87ae.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/286612557c0e13834460978ccbd53b4606a254f8.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/28pn7kd229jnv7lh0jnnnvf3ko%40google.com.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/29059181-C239-43E0-814A-BFEB7B05E5B8.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/29158932-FE49-4D75-ADF7-37561298C158.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/29742d169fc3c17ee1b96c7349577dd5.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2AD79016-F4FC-45D6-A1F3-AD3F8BC19DFF.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2D8FB0A0-3DC5-40E1-96C2-78CF06893A58.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2F4FE179-880F-46F8-9993-518E773253B9.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2FBBE6DB-1449-49AC-8A5D-AD4DC1EAE2CB.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2a0164e39d5ca3c23acb63bce54b376e1d586e59.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2a186eba3d75c3a3ecab2cecc7217f657d7ed4be.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2b7f063f10bfb155d75144f4517675d337567b8f.ics"
[2021-03-26T06:08:10.424Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2e4d752597d22280c9187617b175e72ca6d1eb9b.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2e686d4ceaaa2b96cff3b121a46f34980782de55.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2fb48dfd73377bee793d8f2b22e3984bea5e52f8.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/2lsrvs0hgaan4qqlr5qdfg0ht4%40googlecom.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/32829553-FF6C-4264-A8B4-54D3F3C2620C.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/32BB41F2-B47A-43D5-92D8-737C69829C8E.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/32b084f7b470c3edf3720339496136e9.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/335D4966-CBA7-4826-9D59-0621120D6D71.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/33dumsvk1ogup0h4050co13nf4%40googlecom.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/34223A59-9746-4595-9F41-6ACE43650FB5.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3502818F-51DB-4645-A8E3-90A3F71CB88C.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/350B603B-E9DA-48C3-830D-E7781CF26A7E.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/352b3e7f236aa8fa9e7b98cf386d76ec.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/35338672ce1762349818d4ba6dca31d4fe0d9dc8.ics"
[2021-03-26T06:08:10.425Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/353DC5FC-A62D-4D23-9B16-09F74F9D3EC0.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/367c9b6f9902379ff6d36fb70a09762f4d9a8443.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/36A0A4C1-3D13-4960-B29C-994AC9C1291D.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/386557EB-D5E4-4CBA-B6B8-AAEE09311616.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3A3134AB-3B7C-4D52-B792-BACD057379CF.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3ABB12C6-E40B-4680-97E8-A8F2839D0C00.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3C476CD0-4356-4F28-920C-33478E066AE5.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3D24BA12-EFBD-402E-9001-157EB8B1D5FF.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3a73rpvka2l30pcqbcfnq44fgr%40google.com.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3a9f02478cdfb21c13df876b7706d11dfc11c01d.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3caietma7u28p761iml6fcup8i%40googlecom.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3f175fb795ce241d7f81218bde78414b150cfbd4.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/3f7rlevpgrjom7q7792ek2vc38%40googlecom.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/42A32F13-0AA0-4F5B-B2D2-3743C73A428C.ics"
[2021-03-26T06:08:10.426Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/446D3D9A-85B8-40B8-A5D3-F0749CA27096.ics"
[2021-03-26T06:08:10.427Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/46181028-2B63-4245-A1BB-8F4914628304.ics"
[2021-03-26T06:08:10.427Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/4708AC57-E9F4-4322-AF4B-952FCA3E29F7.ics"
[2021-03-26T06:08:10.427Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/47f1e4211ca5845155797d6a7c207aba7007f299.ics"
[2021-03-26T06:08:10.427Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/4813b73b983c8cabd6d8e9b05b4cabbdf85b8e93.ics"
[2021-03-26T06:08:10.427Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/4930F02E-A41D-4C92-A056-BF68EFA51CE8.ics"
[2021-03-26T06:08:10.427Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/49CC8DE2-E5BF-41CC-997C-6434CB7A5135.ics"
[2021-03-26T06:08:10.427Z] akonadi_davgroupware_resource org.kde.pim.davresource DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://caldav.icloud.com/<dsid>/calendars/<calendar_name>/49be24043ccb81821f88b625dea0a613a064e9e1.ics"

I can randomly pick any of these results, paste it into a browser, and it will produce a fully functional, downloadable ics file once I provide credentials.
Comment 2 Nathan Murphree 2021-03-26 06:22:23 UTC
Meant to provide this in my last comment;

[manjaro@manjaro Documents]$ pacman -Q plasma-desktop
plasma-desktop 5.21.3-1
[manjaro@manjaro Documents]$ pacman -Q korganizer
korganizer 20.12.3-1
[manjaro@manjaro Documents]$
Comment 3 Nathan Murphree 2021-03-27 04:00:52 UTC
So anyhoo, I have a couple of theories here;

1. The login prompt produced by iCloud is being sent for each and every .ics file, so as far as the davgroupware element is considered, it received a null ics file (as it lacked basic ics structure).
2. davgroupware is not able to read the ics files produced by iCloud, possibly due to a field present in the files themselves (this is unlikely).
Comment 4 wabbajack 2021-08-14 23:31:02 UTC
It seems that KOrganizer is not sending the Authorization header when fetching. Please see: https://forum.kde.org/viewtopic.php?f=215&t=165265&p=448123#p448123
Comment 5 Christian Ponte 2022-02-09 14:50:53 UTC
I fixed iCloud calendar sync problems in https://invent.kde.org/frameworks/kdav/-/merge_requests/16. I didn't find any problems with the auth headers as wabbajack reported, the issue was a malformed request.